# ApplicationFramework
TKLCAF
TDF

# TDF_LabelDataMap Class Reference

`#include <TDF_LabelDataMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_LabelDataMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_LabelDataMap & | Assign (const TDF_LabelDataMap &Other)
TDF_LabelDataMap & | operator= (const TDF_LabelDataMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_LabelDataMap ()
Standard_EXPORT Standard_Boolean | Bind (const TDF_Label &K, const TDF_Label &I)
Standard_EXPORT Standard_Boolean | IsBound (const TDF_Label &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TDF_Label &K)
Standard_EXPORT const TDF_Label & | Find (const TDF_Label &K) const
const TDF_Label & | operator() (const TDF_Label &K) const
Standard_EXPORT TDF_Label & | ChangeFind (const TDF_Label &K)
TDF_Label & | operator() (const TDF_Label &K)

## Private Member Functions

Standard_EXPORT | TDF_LabelDataMap (const TDF_LabelDataMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_LabelDataMap::TDF_LabelDataMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_LabelDataMap::~TDF_LabelDataMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_LabelDataMap::TDF_LabelDataMap | ( | const TDF_LabelDataMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TDF_LabelDataMap& TDF_LabelDataMap::Assign | ( | const TDF_LabelDataMap & | Other | ) |

Standard_EXPORT Standard_Boolean TDF_LabelDataMap::Bind | ( | const TDF_Label & | K,
|  | const TDF_Label & | I
| ) |

Standard_EXPORT TDF_Label& TDF_LabelDataMap::ChangeFind | ( | const TDF_Label & | K | ) |

Standard_EXPORT void TDF_LabelDataMap::Clear | ( |  | ) |

Standard_EXPORT const TDF_Label& TDF_LabelDataMap::Find | ( | const TDF_Label & | K | ) | const

Standard_EXPORT Standard_Boolean TDF_LabelDataMap::IsBound | ( | const TDF_Label & | K | ) | const

void TDF_LabelDataMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_LabelDataMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_LabelDataMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_Label& TDF_LabelDataMap::operator() | ( | const TDF_Label & | K | ) | `[inline]`

const TDF_Label& TDF_LabelDataMap::operator() | ( | const TDF_Label & | K | ) | const`[inline]`

TDF_LabelDataMap& TDF_LabelDataMap::operator= | ( | const TDF_LabelDataMap & | Other | ) | `[inline]`

Standard_EXPORT void TDF_LabelDataMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TDF_LabelDataMap::UnBind | ( | const TDF_Label & | K | ) |

The documentation for this class was generated from the following file:

- TDF_LabelDataMap.hxx